; 
;----------------------------------------------------+
;	PL/I Task Data Area (TDA) definition         |
;----------------------------------------------------+
;	(a few equates in areas not completely defined here)
TIB_pTib2	equ	0Ch	; -> TIB2 in TIB
TIB2_ulTid	equ	00h	; Thread ID in TIB2
TIB2_ulPri	equ	04h	; Thread priority in TIB2
;
TDA_next	equ	0  	; Addr(next_TDA)
TDA_prev	equ	4  	; Addr(prev_TDA)
TDA_nextchild	equ 	8  	; Addr(next_child_TDA)
TDA_prevchild	equ 	12 	; Addr(prev_child_TDA)
TDA_parent   	equ 	16 	; Addr(parent_TDA) 
TDA_TID      	equ 	20 	; Thread ID     
TDA_priority 	equ 	24 	; Priority      
TDA_alloc_cnt	equ 	28 	; Alloc Cnt for CTL stg
TDA_event    	equ 	32 	; Addr(event_variable)
TDA_stack    	equ 	36 	; Addr(stack)   
TDA_heap     	equ 	40 	; Addr(heap)    
TDA_flags    	equ 	44 	; Flag byte     
;		80h = Major Task TDA
TDA_fil1     	equ 	45 	; (alignment)   
TDA_ctl      	equ 	48 	; CTL storage chain
TDA_fil2     	equ 	52 	; (unused)      

